<!-- MIT License 2023 Infineon Technologies AG -->
<!DOCTYPE html>
<html>
<body>

<h2>DataVaults transaction demo</h2>
<button id=signTransaction type="button">Sign transaction</button>
<div>
  <p>Signature: <span id="signatureResult"></span></p>
</div>

<button id=keyInfoButton type="button">Get key info</button>
<div>
  <p>Key Info: <span id="keyInfoResult"></span></p>
</div>

<button id=cardInfoButton type="button">Get card info</button>
<div>
  <p>Card Info: <span id="cardInfoResult"></span></p>
</div>

<button id=keyListButton type="button">Get key list</button>
<div>
  <p>Key list: <span id="keyListResult"></span></p>
</div>

<button id=keyGenerateButton type="button">Generate new key</button>
<div>
  <p>New key: <span id="keyGenerateResult"></span></p>
</div>

<script src="starterKitBridge.js"></script>

</body>
</html>
